Introduction

Welcome
To
Microangelo 5.0

Microangelo 5.0 supports all 32-bit Windows platforms including Windows 95, Windows 98, Windows NT 4.0, Windows 2000, and Windows ME. Its components are designed to maximize performance and deliver the widest array of features to all Windows desktop platforms.

What Can I Do?

What's New in this Release?

System Requirements


What can I do?

What do you want to do?

Improve my computer's icon display How?
Browse, view, and search for icons. How?
Change icons and cursors on my computer. How?
Organize icons in libraries. How?
Edit icons and cursors. How?


What's new in this release

New Features

Every component has been enhanced and improved. From the external graphics on the outside to deep inside the program code, these components do more and do it better than ever before. Here are some of the newest updates that you'll enjoy:

Icon and Cursor Customization

  • Microangelo On Display: Version 2.0 of our revolutionary desktop tool provides quick and easy customization of any icon on any Windows desktop platform.

  • Animated Desktop Icons: Configure and display animated icons on your desktop that come alive when selected.

  • Desktop Text Properties: Change the color and the background color of the text displayed on your desktop.

Icon and Cursor Editing

  • Paint Modifiers: A new tool window that provides the ability to apply gradients, anti-alias edges, or dodge and burn pixel colors using any of the painting and drawing tools.

  • Animated Icon Support: No longer just for editing 32x32 cursors, Animator now recognizes and edits 32x32 and 48x48 animated icons, too!

  • Program Options: Set and select a variety of program options including the sequence of image sizes, color depths, and the format of the real-time display of RGB values (also new).

  • Palette Sort: Sort ink well colors by Hue, Lightness, Saturation, or display them in the default palette order.

  • Improved Color Reduction: The color reduction algorithms in Studio and Animator have been enhanced to improve results when reducing images from True Color to 256 colors. Images are analyzed pixel by pixel to select a color reduction process and provide the best results.

  • Icon or Cursor? Improved recognition of file types and enforcement of proper image formats during file open and save operations.

Librarian Enhancements

  • Easy-Drag Extract: Drag the current icon selection onto the desktop, into any open folder, or into any drop target that will accept icon resource (ICO) files (such as an Outlook mail message or a Word document).

  • Mouse wheel: Full support for the mouse wheel to navigate the workspace.

  • Background check: Easily move through different background colors to check icon appearances under a variety of possible configurations.

  • New Edit Commands: Invert the current selection or delete the current image format for all selected icons.

  • Updated Support for Macromedia: Edit the icon images inside executables produced by the latest releases of Macromedia products like Director and Authorware.

Explorer Improvements

  • Updated interface: The window panes, tool bar controls, and overall graphical performance provides a more pleasant experience while navigating through icon-laden drives and folders.

  • Quick Animation View: The Show Animation command loads any ANI file into the cursor to easily preview the complete animation.


System requirements

Software Requirements

  • Microangelo recognizes and supports all 32-bit Windows desktop operating systems including Windows 95, Windows 98, Windows NT 4.0, Windows 2000, and Windows ME.

  • Customizing standard folder icons under Windows 95 and NT 4.0 systems requires the Active Desktop update distributed with Internet Explorer 4.01 All other icons can be customized without the Active Desktop update.

Hardware Requirements

  • SVGA - minimum of 65K colors (16-bit) recommended

  • 486 CPU or higher (Pentium recommended for animation)

  • 16 MB RAM

  • 10 MB free disk space


How To

The following chapters include step-by-step procedures and detailed information on the features and capabilities that Microangelo provides.

  • Improving Your Computer's Icon Display

  • Browsing, Searching and Viewing

  • Changing Icons and Cursors

  • Organizing Icons in Libraries

  • Editing Icons and Cursors


Browsing, Searching, and Viewing

Microangelo's components offer a variety of ways to locate and access files containing icons and cursors. The Explorer, Librarian and Studio components work together to flexibly support accessing these files at different levels.

Explorer Browse for icons and cursors. How?

Librarian Explorer Search for icons. How?

Librarian Explorer View icons in libraries, programs, or other files. How?


Browse for icons and cursors with Explorer

Microangelo Explorer helps you browse for icons and cursors by displaying only those files that contain what you're looking for. Its user interface was designed based upon Windows Explorer. The folder pane on the left displays a tree view of all computers, drives and folders available from your system. The viewing pane on the right displays the contents of the folder pane selection.

Explorer Click on the plus signs (+) in the folder pane to expand objects beneath.

Explorer Click on any network, computer, drive or folder in the folder pane to view its contents.

Explorer Double-click on any network, computer, drive or folder in the viewing pane to view its contents.

Explorer Click on the Parent Folder toolbar button on the toolbar to move up one level.

What do you want to do?

  • Browse for icons

  • Browse for cursors

  • Browse for animated resources


Searching for icons

Microangelo Librarian's workspace can be used to collect the results of an icon search operation. Librarian can be used to search a folder or disk drive and any sub-folders underneath. Working together with Explorer, Librarian can search multiple drives or folders in a single search operation.

What do you want to do?

  • Search drive or folder

  • Search multiple drives or folders


View icons in libraries, programs, and other files

The Librarian component in Microangelo can be used to view icons embedded in program files and icon libraries .

Libraries and programs

To view icons in these file types:

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and set it to Icon Libraries or Program Files.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. Double-click on the file to open it for viewing in Librarian.

-or-

  1. Launch Microangelo Librarian.

  2. From the File menu select Open.

  3. In the Files of type drop-down control, choose Icon Libraries or Program Files.

  4. Select the file and click the Open button. The icon images will be displayed in Librarian window.

Icon Resources

To view icons in these file types:

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and set it to Icon Resources.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. Double-click on the file to open it for viewing in Librarian.

-or-

  1. Launch Microangelo Librarian.

  2. From the File menu select Open.

  3. In the Files of type drop-down control, choose Icon Resources.

  4. Select the file(s) and click the Open button. The icon image(s) will be displayed in the Librarian window.


Organizing Icons in Libraries

Microangelo Librarian can be used to organize groups of icons into libraries. Icons can be dragged and dropped between Librarian windows. Any file that contains icons can be dragged from Microangelo Explorer, any open folder, or Windows Explorer and dropped into a Librarian window.

Librarian Add icons to libraries. How?

Librarian Remove icons from libraries. How?

Librarian Remove image formats from libraries. How?

Librarian Librarian Overview


Librarian overview

Microangelo Librarian accesses icon inside of icon libraries, programs and other files.

Opening a library or file

  1. Launch Microangelo Librarian.

  2. Select Open from Librarian's File menu.

  3. Set the Files of type control for the type of file being opened. The Icon Files setting includes all of the file types that Librarian processes.

  4. Use the Open File dialog controls to locate and select the file.

  5. Select Open.

Appears on the left side of the status bar when all operations are permitted in the workspace.
Appears when operations are limited. Icons and image formats cannot be added or removed from program files. Operations like these are only allowed with icon library (ICL) files.

Librarian Viewing Modes

Specific View | Specific mode displays images that match the format selected in the toolbar's Image Format control.
Raw View | Raw mode displays all image formats included in each icon.
Desktop View (large) | Desktop mode displays a large icon, as it would appear on the current system.
Windows View (small and large) | Windows mode displays both large and small icons, as they would appear on the current system.

Arranging Icons inside a Library

Icons can be dragged and dropped within the same library window to manually rearrange the order in which they appear. This can be done in all viewing modes except Raw. One or more icons can be selected, dragged and dropped to another area of the viewing window.


Add icons to libraries

Open the icon library with Microangelo Librarian. Icons are easily added to Librarian's workspace by dragging them from:

Librarian Another Librarian window

Microangelo Explorer Microangelo Explorer

Windows Explorer Windows Explorer

Any open folder

Tip

  • Select New Window from Librarian's File menu if you want to drag icons from other libraries or program files. This will open a new Librarian window and position both windows for the drag and drop operations.

Related Topics

  • Edit an icon inside a library or program

  • Remove an icon from a library

  • Remove a specific image format

  • Search for icons with Librarian


Remove icons from libraries

  1. Open the icon library with Microangelo Librarian.

  2. Select the icon(s) to be deleted.

  3. Select Delete from Librarian's Edit menu.

Tip

Multiple icons can be selected for this action.

  • Depress the left button down outside of an icon and then drag to select a rectangular area within the workspace.

-or-

  • Hold down the CTRL key while left clicking on an icon to add it or remove it from the current selection.

Related Topics

  • Edit an icon inside a library or program

  • Remove a specific image format

  • Search for icons with Librarian


Remove image formats from libraries

Remove a specific image format

Microangelo Librarian can remove specific image formats from one or more icons in an icon library.

  1. Open the icon library with Microangelo Librarian.

  2. Select Specific from Librarian's View menu.

  3. Select the image format to delete using the Image Format control on Librarian's toolbar.

  4. Select the icon(s) the current format will be deleted from.

  5. Select Delete Format from Librarian's Edit menu.

Tip

Multiple icons can be selected for this action.

  • Depress the left button down outside of an icon and then drag to select a rectangular area within the workspace.

-or-

  • Hold down the CTRL key while left clicking on an icon to add it or remove it from the current selection.

Related Topics

  • Edit an icon inside a library or program

  • Remove an icon from a library

  • Search for icons with Librarian


Editing Icons and Cursors

Microangelo includes two image editors, Studio and Animator. Each is used to create and edit individual icon and cursor files. Studio is designed to work with static icon and cursors resources (ICO and CUR). Working together with Librarian, Studio can edit icons inside of icon libraries and program files. Animator is used with animated icons and cursors (ANI). Both provide consistent user interfaces. The following topics provide in-depth information on their use:

File Formats

  • Editing a static icon or cursor resource

  • Editing an animated icon or cursor

  • Editing an icon inside an icon library

  • Editing an icon inside a program file

Editing Topics

  • Editing tools

  • Color A and B usage

  • Paint Modifiers

  • Adding/Removing images

  • Colors and palettes

  • Importing bitmaps

  • Clipboard functions

  • Setting a cursor's hot spot


File Formats

File Formats

  • Editing a static icon or cursor resource

  • Editing an animated icon or cursor

  • Editing an icon inside an icon library

  • Editing an icon inside a program file


Editing a static icon or cursor resource

Microangelo Studio is used to create and edit these types of files.

Icon or Cursor?

  1. Cursors only contain 32x32 size images - Studio will enforce this rule when opening or saving resources. This is the only size that Windows desktop platforms support. Icons usually contain images in 16x16, 32x32, and 48x48 sizes.

  2. Cursors have a hot spot. This is the pixel whose screen position is sent to your programs. Studio enables the Hot Spot tool when editing a cursor file.

To create a static icon or cursor

  1. Launch Microangelo Studio.

  2. Select New from Studio's File menu.

  3. Select Icon or Cursor in the New Resource dialog.

Tip

  • You can pre-select the order that Studio adds image formats to icons and cursors. Select Options from Studio's View menu and click on Image Formats.

To edit an existing icon or cursor

  1. Launch Microangelo Studio.

  2. Select Open from Studio's File menu.

  3. Select the type of file to open using the Files of type control.

  4. Use the Open File dialog controls to locate and select the file.

  5. Select Open.

Editing Topics

  • Editing tools

  • Color A and B usage

  • Paint Modifiers

  • Adding/Removing images

  • Colors and palettes

  • Importing bitmaps

  • Clipboard functions

  • Setting a cursor's hot spot


Editing an animated icon or cursor

Microangelo Animator is used to create and edit these types of files.

Icon or Cursor?

  1. Cursors only contain 32x32 size images - Studio will enforce this rule when opening or saving resources. This is the only size that Windows desktop platforms support. Icons can be created in 32x32 or 48x48 sizes.

  2. Cursors have a hot spot. This is the pixel whose screen position is sent to your programs. Studio enables the Hot Spot tool when editing a cursor file.

To create an animated icon or cursor

  1. Launch Microangelo Animator.

  2. Select New from Animator's File menu.

  3. Select the type, size and color depth of the new icon or cursor.

  4. Select OK.

To edit an existing animated icon or cursor

  1. Launch Microangelo Animator.

  2. Select Open from Animators's File menu.

  3. Use the Open File dialog controls to locate and select the file.

  4. Select Open.

Editing Topics

  • Editing tools

  • Color A and B usage

  • Paint Modifiers

  • Adding/Removing images

  • Colors and palettes

  • Importing bitmaps

  • Clipboard functions

  • Setting a cursor's hot spot


Editing an icon inside an icon library

Microangelo Librarian and Studio work together to provide this functionality.

To create a new icon in a library

  1. Launch Microangelo Librarian.

  2. Open the library file.

  3. Select New Icon from Librarian's Edit menu.

To edit an icon in a library

  1. Launch Microangelo Librarian.

  2. Open the library that contains the icon to edit.

  3. Double-click the icon to be edited.

Librarian will open an edit session with Studio for each of the above procedures.

Editing Topics

  • Editing tools

  • Color A and B usage

  • Paint Modifiers

  • Adding/Removing images

  • Colors and palettes

  • Importing bitmaps

  • Clipboard functions

  • Setting a cursor's hot spot


Editing an icon inside a program file

Microangelo Librarian and Studio work together to provide this functionality. Icons can be edited in EXE, DLL, CPL, OCX, and SCR program files. The procedure is exactly the same as for editing an icon inside an icon library. The difference is that the editing operations are limited.

The following rules apply when editing an icon in one of these file types:

Icons cannot be added or removed.

Image formats cannot be added or removed.

Icons cannot be renamed.


Editing Topics

Editing Topics

  • Editing tools

  • Color A and B usage

  • Paint Modifiers

  • Adding/Removing images

  • Colors and palettes

  • Importing bitmaps

  • Clipboard functions

  • Setting a cursor's hot spot


Editing tools

Studio and Animator include a wide assortment of tools used to edit icon and cursor images. These tools are accessed from the vertical and horizontal tool bars that appear to the left and above the editing area.

Tool Types:

  • Drawing tools

  • Selection Frame

  • Eyedropper (pick up color)

  • Color Locator

  • Nudge tools (shift image)

  • Mirror tools (flip image)

  • Rotate tool

  • Screen Capture


Color A & B usage

Studio and Animator display the current Color A and B choices to the upper left of the editing area directly above the tool palette. Select the desired A and B colors by clicking the left or right mouse button in the Palette window over the inkwell containing the desired color.

The following table lists the usage of Color A and Color B when editing an image in Studio or Animator.

Operation | Color usage
Draw/Paint | Left mouse button provides Color A, right button Color B.
Color Eraser | Left mouse button changes Color A to Color B, right button B to A.
Draw Text | Text is drawn using Color A on a background of Color B. If configured, text can be drawn without a background over existing artwork. (see Color B in Selection).
Edit Cut | Color B fills the area exposed by cut.
Edit Paste | Color B can be used as a mask when pasting over existing artwork. If configured, Color B pixels in the image being pasted act transparent until the paste is completed. (see Color B in Selection).
Drag Selection | If configured, Color B pixels in the Selection Frame act transparent when dragged. (see Color B in Selection).


Paint Modifiers

The Paint Modifiers tool window is used to modify how the editing tools apply or alter color. The Pixels tab settings are always available for use. All other paint modifiers require unlimited access to colors and are therefore available only when editing True Color images.

Paint modifiers can be used alone or in combinations. For example, a gradient can be painted with anti-alias processing to smooth its edges, or an area can be "flooded" with a gradient that only paints every other pixel.

The following topics contain describe paint modifiers by category:

  • Pixels - control which pixels are affected by editing tools.

  • Effect - create gradient blends, dodge (lighten) or burn (darken) pixel colors.

  • Edges - apply anti-alias processing to smooth edges.


Adding and Removing images

Located on the right side of Studio and Animator, directly above the list of images in the current file, are two tool buttons used to add and remove images.

Image formats can be added or removed in icons or cursors.

Frames can be added or removed in animated cursors.

Studio

When editing icons or standard cursors in Studio, the New Image Format tool button brings up a dialog to allow the new format to be defined. The size of the image and its color depth are selected in this dialog. The Begin New Image Using Current Image checkbox allows the new image to be initialized using the current image. This option is especially convenient when used to create a new 256-color image from a True Color image.

Animator

When editing animated cursors in Animator, the Insert Frames tool button brings up a dialog to allow one or more frames to be added either before or after the current frame. The Fill new frames using contents of current frame checkbox is used to copy the current frame to the new frame(s).


Colors and palettes

The following information describes how colors and palettes are used in Microangelo Studio and Animator.

A and B Colors

Microangelo's editing tools make use of two colors, Color A and Color B. The current A and B colors are displayed to the upper right of the edit area. See Color A and B usage for more information on how these selections are used for different operations.

Selecting Colors for Drawing and Editing

Studio and Animator both provide a Palette window to select colors used by the editing tools. The Palette window contains inkwells filled with different colors of ink. Select the colors used for Color A or Color B by clicking the left or right mouse button over the inkwell containing the desired color.

Changing Color Palettes

Color palettes can be saved to disk and re-opened when editing 256-color or True Color images.

Transparent and Inverse Colors

In addition to regular colors, the Palette window also includes two special inkwells containing transparent and inverse ink. These selections can be used to create transparent and inverse effects when the images are displayed.

Blending New Colors

A Color Blend area is included at the bottom of the Palette Window when editing 256-color or True Color images.


Importing bitmaps

Bitmaps can be imported into an image using two different procedures that provide different results. They can be opened directly using the "Open Bitmap as Image..." command, replacing the entire contents of the current image and also updating the colors in the Palette window with the palette of the bitmap. Bitmaps can also be opened into a Selection Frame using the Paste Special command. In this case the bitmap is scaled, if necessary, into the current selection. If the image being edited is not True Color, the bitmap is translated as best as possible into the current color palette.

  • Open Bitmap as Image

  • Paste Special (clipboard function)


Clipboard functions

Images can be manipulated using the standard Cut, Copy, and Paste clipboard functions available on the Edit menu or toolbar buttons. Studio and Animator provide enhanced support for transparency when moving images within or between either component. Further flexibility is available using the Paste Special command, available only on the Edit menu.

Cut

The contents of the Selection Frame are posted to the clipboard and the area is filled with Color B.

Copy

The contents of the Selection Frame are posted to the clipboard.

Paste

The contents of the clipboard are pasted into a new Selection Frame. The new selection can be dragged to the desired location. Any pixels in the selection that match Color B may act transparent while the image is pasted depending on the current setting of Color B in Selection . If the image being edited is not True Color or if the color depth of the image being pasted is greater than the color depth of the image being edited, the image being pasted is translated as best as possible using the current color palette.

Paste Special

Paste Special can be used to access images from the clipboard or external bitmaps. It can place the result into the current selection or create a new selection, either of which can be dragged to the desired location. Any pixels in the pasted selection that match Color B may act transparent while the image is pasted depending on the current setting of Color B in Selection . If the image being edited is not True Color or if the color depth of the image being pasted is greater than the color depth of the image being edited, the image being pasted is translated as best as possible using the current color palette.


Setting a cursor's Hot Spot

All cursors, static and animated, use the concept of a hot spot. The location that lies underneath the hot spot pixel in a cursor is passed to applications as the cursor is moved and as mouse buttons are pressed and released. If undefined, Windows will assume a hot spot in the upper-left pixel of the cursor (0,0).

To set the hot spot in a cursor image:

  1. Click on the Hot Spot tool button. The current hot spot of the image will blink momentarily.

  2. Click the left mouse button on any pixel in the image to move the hot spot to a new location.


Reference Information

Authoring Topics

  • Image formats

  • Color depth

  • Animated resources

Keyboard Shortcuts

  • Librarian keyboard shortcuts

  • Studio keyboard shortcuts

  • Animator keyboard shortcuts


Authoring Topics

Icon authors need to consider the Windows versions and video configuration(s) of their target audience, and understand how differences will affect the appearance of icons.

This chapter explains:

  • Different icon sizes used by Windows.

  • Where Windows uses different sizes.

  • When to use True Color images.

  • What image formats you should include in an icon or cursor.

  • How Windows uses, and sometimes converts, the information inside of an icon or cursor resource.

  • Color depth issues and answers.

  • Animated resource considerations.

Topics

  • Image formats

  • Color depth

  • Animated resources


Image formats

Unlike other graphics formats, icon and cursor resources can and should contain more than one graphic representation. An icon resource should contain images in different sizes and color depths. Cursor images are always 32x32 pixels in size. Like icon resources, they can also include images in multiple color depths.

The following topics cover aspects of multiple image formats:

  • Icon sizes and where they are used

  • Recommended image formats

  • How Windows chooses an image format

  • Color depth compatibility issues


Color depth

The color depth of an icon or cursor image involves issues that affect both end-users and authors. It is important that authors understand both perspectives to be able to make the best choices when creating their own icons and cursors.

The following topics cover different aspects of image color depth.

  • Color depth overview

  • Color depth compatibility issues

  • How Windows chooses an image format

  • Recommended image formats


Animated resources

Animated icons and cursors share many similarities with their static counterparts. That's because ANI files are created from a collection of static icon or cursor images - the same image formats that can be found in ICO and CUR files. In fact, because ANI files use icon and cursor image formats, there is only one additional consideration to make when authoring and distributing animated icons and cursors.

One image format per file

Unlike ICO and CUR files, ANI resource files only contain a single image format. This means that a single ANI file cannot extend support for all Windows configurations.

For example, an animated 32x32 icon will not look its best when installed to a system configured for 48x48 icons. The image will be "stretched" by Windows to meet the 48x48 requirement. Similarly, a 32x32 animated icon in 256 or more colors will be displayed using only the Windows 16-color default palette on systems that do not support hi-color icons.

You should consider your target audience when you create animated icons and cursors and provide multiple ANI files if required. As an example, the original Windows Plus! package includes animated files in both 16 and 256 color formats such as "My Icon.ani" and "My Icon (hi-color).ani".


Keyboard shortcuts

Use the following links to view keyboard shortcuts for Microangelo components.

  • Librarian keyboard shortcuts

  • Studio keyboard shortcuts

  • Animator keyboard shortcuts


Librarian keyboard shortcuts

Press | To
DEL | Delete the selected icon(s).
F2 | Rename the selected icon.
F5 | Refresh/arrange the workplace display.
ENTER | Edit the selected icon.
CTRL + A | Select all.
CTRL + O | Open a file.
CTRL + S | Save to disk.
ALT + ENTER | View properties of current file if no icons are selected, or view properties of selected icon if a single icon is selected.
ALT + N | Open a new Librarian window.
ALT + X | Launch Microangelo Explorer.
ALT + F4 | Exit.


Studio keyboard shortcuts

Press | To
DEL | Clear. (Fill selection with Color B).
SHIFT + DEL | Cut.
SHIFT + INSERT | Paste.
CTRL + INSERT | Copy.
CTRL + C | Copy.
CTRL + X | Cut.
CTRL + V | Paste.
CTRL + A | Select all.
CTRL + O | Open a file.
CTRL + S | Save to disk.
CTRL + Y | Redo.
CTRL + Z | Undo.
ALT + BACKSPACE | Undo.
CTRL + I | New image format.
ALT + R | Remove image format.
ALT + P | Palette window menu.
ALT + A | Update Librarian and Exit (when editing for Librarian).
ALT + ENTER | View properties of current image format.
ALT + N | Open a new Studio window.
ALT + X | Launch Microangelo Explorer.
ALT + F4 | Exit.


Animator keyboard shortcuts

Press | To
SPACE | Stop/start preview animation.
DEL | Clear. (Fill selection with Color B).
SHIFT + DEL | Cut.
SHIFT + INSERT | Paste.
CTRL + INSERT | Copy.
CTRL + C | Copy.
CTRL + X | Cut.
CTRL + V | Paste.
CTRL + A | Select all.
CTRL + O | Open a file.
CTRL + S | Save to disk.
CTRL + Y | Redo.
CTRL + Z | Undo.
ALT + BACKSPACE | Undo.
CTRL + I | New frame.
ALT + R | Remove frame.
ALT + P | Palette window menu.
ALT + ENTER | View properties of current frame.
ALT + N | Open a new Animator window.
ALT + X | Launch Microangelo Explorer.
ALT + F4 | Exit.


Contact Impact Software

Full service web site

http://www.impactsoft.com

Fax

909.590.2202

Mail

Impact Software
P.O. Box 457
Chino, CA 91708-0457
USA

Product Sales

Email: | info@impactsoft.com
Phone: | 800.777.7687 (sales only) 909.591.3962

Customer Service

Email: | service@impactsoft.com
Phone: | 909.591.3962

Technical Support:

Email: | support@impactsoft.com
Phone: | 909.590.8522 (Phone support is limited to 9AM-12PM Pacific time on Monday, Wednesday and Friday.)


Troubleshooting

The following topics describe problems you may encounter and how to avoid or resolve them.

Troubleshooting topics

  • Incorrect icon(s) display after changing an icon

  • Fuzzy or blurred icon display

  • Icon displays with incorrect colors

  • General compatibility topics


Incorrect icon(s) display after changing an icon

Microangelo is designed to perform icon configuration changes in an elegant and reliable manner. Windows platforms may fail to properly update the images they display. Sometimes Windows does not update all images of an icon after it has been properly reconfigured. The Rebuild System Cache feature, available in Microangelo's On Display component, can prompt Windows to "try again".

To rebuild the system cache:

  1. Launch On Display.

  2. Select the Advanced tab.

  3. Click the Rebuild System Cache button.

  4. On Display will confirm the cache file has been rebuilt.

Windows NT 4.0 is by far the platform most likely to improperly update its display when an icon is reconfigured. The Remove Damaged Cache function was designed especially for the Windows NT 4.0 platform. This function removes the damaged cache and prevents Windows from replacing it with the corrupted information.

To remove a damaged cache:

Warning

On Display will reboot your computer to complete this process.

  1. Launch On Display.

  2. Select the Advanced tab.

  3. Click the Remove Damaged Cache button.

  4. A confirmation dialog will appear. Select OK to continue.

  5. On Display will report its progress and indicate successful completion before rebooting the computer.


Fuzzy or blurred icon display

This may occur when the system icon size is changed between standard and large, and Windows does not complete the reconfiguration. Use On Display to switch between standard and large sizes to resolve this problem.

  1. Launch On Display.

  2. Check or uncheck the Use Large Icons checkbox.

  3. Click Apply. Your desktop will refresh with the new icon size.

  4. Check or uncheck the Use Large Icons checkbox to return to the desired setting.

  5. Click Apply.


Icon displays with incorrect colors

This can occur when the icon only includes images in a color depth higher than your system is configured to display. The number of colors that Windows is able to display in icon images is dependent on two settings. The system video display must be configured to display greater than 256 colors. The color depth of the system image cache must also be increased to a minimum of 65 thousand colors.

Configure the system video color depth

  1. Click Start and point to Settings.

  2. Select Control Panel. The Control Panel window will open.

  3. Double-click the Display icon. A Display Properties dialog will appear.

  4. Select the Settings tab.

  5. Use the Color Palette (Colors on some platforms) control to select a color depth greater than 256 colors.

  6. Click OK.

Configure the system image color depth

  1. Launch On Display .

  2. Click [image] to access the Icon Color Depth dialog.

  3. Select 16-bit or 24-bit color, click OK, then Apply the changes.

  4. On Display will prompt you to restart Windows.


General compatibility topics

Microangelo recognizes and supports all Windows desktop platforms. Microsoft has continued to enhance the capabilities of Windows desktop platforms since the debut of Windows 95. Microangelo is designed to offer the widest array of features possible for each Windows desktop platform.

Platform Integrity

Our experience indicates that the consumer versions of Windows (Windows 95, 98, and Millennium) remain the most reliable desktop platforms for managing and displaying icon images. Despite their reliability, these Windows platforms may not always update the display properly when an icon is reconfigured. When this occurs, the Rebuild Icon Cache feature of On Display can be used to cause Windows to "try again" and usually corrects any improper display of images.

Windows NT 4.0 does a terrible job of rebuilding its list of system images when an icon is reconfigured, often corrupting the system cache of images and displaying the wrong images for icons and shortcut arrows. The Remove Damaged Cache feature was designed specifically to address the cache problems caused by NT4.0

Windows NT 4.0 also displays images improperly from True Color sources. Authors should not include True Color image formats in their resources if the target audience includes users running NT4.

Compatibility with third-party software

All Microangelo components are designed as well-behaved applications that work according to the standards, rules and procedures of the Windows platforms they support. Awareness and conformance to these guidelines is absolutely necessary to provide a reliable environment for all applications and utilities on the system. Microangelo works together with the Windows shell and relies on it to display images properly throughout the operating system. Other desktop enhancement software utilities or shell replacements must also conform to the same standards, rules and guidelines if they are to faithfully reproduce custom icon configurations and not interfere with the enhanced functionality that Microangelo delivers.


Application Files Defintion

Program Files

These files have the file extensions EXE, DLL, CPL, OCX, and SCR. They contain icons as well as program code and other resources used by the application. Librarian will allow these files to be viewed and allow icons inside of them to be edited. It will not allow icons to be added or deleted.


Browse for animated resources

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and set it to Animated Resources.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. In the right window panel of Explorer, the animated file(s) will display.

Tip

  • Explorer supports drag and drop operations in Animator.

Related Topics

  • Browse for cursors

  • Browse for icons


Browse for cursors

  1. Launch Microangelo Explorer.

  2. In the toolbar, select the Display drop-down, and select the Cursor Files view filter. This will display both static (CUR) and animated (ANI) cursor files.

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. In the right window panel of Explorer, the cursor file(s) will display.

Tip

  • Explorer supports drag and drop operations to Animator.

Related Topics

  • Browse for icons

  • Browse for animated resources


Browse for icons

  1. Launch Microangelo Explorer.

  2. Select a view filter (see below).

  3. Using the left window panel of Explorer, navigate to and select the computer, drive, or folder you want to browse.

  4. In the right window panel of Explorer, the icon file(s) will display.

Select a view filter

Use the Display control in Explorer's toolbar to select a view filter that displays icon files:

  • Icon Resources: displays ICO files.

  • Icon Libraries: displays ICL, DLL, EXE, CPL, OCX, and SCR files that contain at least one icon.

  • Icon Files: displays both Icon Resources and Icon Libraries

Tips

  • Select the Details on the View menu to see how many icons are in each file.

  • Explorer supports drag and drop operations to Librarian, Studio and Animator.


Color B in Selection

Studio and Animator enhance operations that use the Selection Frame by allowing Color B to act opaque or transparent.

  • This feature is not related in any way to the ability of icons and cursors to include transparent areas.

  • The transparent option allows images or text to be floated over existing artwork in the image.

  • Color B in Selection is accessed from the Tools menu.

  • Choose Color B is Opaque to paste solid areas or create text with a background color.

  • Choose Color B is Transparent to paste, relocate, or insert text over existing artwork. Any areas inside the Selection Frame that match Color B will act transparently, allowing pixels below to show through until the operation is complete.

Related Topics

  • Color A and B usage


Color Blend area

The Palette window includes twelve inkwells in an area for blending new colors when editing 256-color or True Color images. Two funnels are located over the left and right wells.

To blend new colors:

  • Click in either funnel with the left or right mouse button to pour Color A or Color B into the inkwell below. Ten colors are blended using the contents of the outer inkwells.

256-Color Images

Any color in the blending area must be dragged into an inkwell of the actual palette above before it can be used.

True Color Images

Colors can be selected directly from the blend area and can also be dragged into the inkwells above.


Color depth compatibility issues

Not all hardware and software platforms are capable of supporting all color depths. You should consider the following when deciding what image formats you'd like to provide to your audience:

  • Video configurations may be limited in color depth do to capabilities, available memory, or video driver limitations.

  • Windows 95 does not display icons in greater than 16 colors. A desktop enhancement is required, such as Microangelo or the Windows Plus! Package.

  • Windows NT 4.0 does not display True Color image formats properly. Avoid True Color images if your audience includes NT4 users.

  • Some users may opt to set their icon color depth to 4-bit (16 colors) to reduce system resource usage.

Related Topics

  • Recommended image formats

  • When to use True Color images


Color depth overview

Windows icons often include both 16 and 256-color images in multiple sizes. Microangelo extends the limit of colors that can be included and displayed to 16 million colors, often referred to as True Color.

Did you know that Microangelo's support for True Color provides advantages to authors even when their final releases do not include True Color images. (See, When to use True Color images.) Here are some other important facts about icon color depth:

  • Original Windows 95 installations are limited to the 16-color default windows palette when displaying icons, no matter how many colors the Windows video configuration supports.

  • Desktop utilities like Microangelo added support for displaying 256-color icons to Windows 95 installations.

  • In 1998, Microangelo extended support to create and display icons and cursors in up to 16 million colors.

  • A common misconception is that more system resources are used for icons whose source images are larger than others. Windows uses the same amount of resources for every icon it displays, no matter what the size of the image is on disk. Windows converts all image formats it processes to the size and color depth that the system is configured to display.

  • A system configured to display images in True Color will use less than 50% more resources to maintain the system image list (icon cache) than a system configured to display 65 thousand colors.

Related Topics

  • When to use True Color images

  • Color depth compatibility issues

  • Recommended image formats

  • How Windows chooses an image format


Color Locator

The Color Locator is used to locate colors in the editing area and the Palette window. Click on the Color Locator tool button and then click over any pixel in the editing area or any inkwell in the Palette window. All pixels in the editing area that match the color will momentarily blink. The edges of the inkwell containing the color will also blink except when editing a True Color image.

Related Topics

  • Eyedropper

  • Color A and B usage


Color palette files

Color palettes can be saved and re-opened as desired when editing images in 256 colors or True Color.

To save or open a palette file select Save As or Open... by clicking the arrow on the top right side of the palette window.

256-Color Mode

Images in 256 colors use fixed color palettes. Opening a new color palette causes all colors in the current image to be remapped using the new palette. It is therefore recommended that the desired color palette be opened before beginning a 256-color image.

True Color Mode

True Color images are not tied to a color palette. Opening a new color palette will not have any affect on the image being edited. Color palettes can be saved and re-opened as desired.

Related Topics

  • Colors and palettes

  • Palette window

  • Sorting palette window colors


Drawing tools

Drawing and painting tool buttons appear along the left side of the main window. Click on any tool to select it for use.

Small black arrows in the upper right corners of the paint brush, color eraser, and rectangle/ellipse buttons indicate that options are available for these tools. Press and hold these buttons down to access their options.

Pencil - Used to paint pixels. Use the left mouse button to draw with Color A or the right button for Color B. Press and hold SHIFT after pressing the mouse button to confine the painting to pixels in the same row or column.
Straight Line - Used to draw straight lines. Use the left mouse button to draw with Color A or the right button for Color B. Press and hold SHIFT after pressing the mouse button to restrict lines to 45-degree increments.
Paint Brush - Used to paint areas of pixels. Select a brush shape by pressing and holding the paintbrush tool button to access the brush options. Use the left mouse button to draw with Color A or the right button for Color B. Press and hold SHIFT after pressing the mouse button to restrict painting to horizontal or vertical strokes.
Flood - Used to fill areas of one color with another color. Use the left mouse button to draw with Color A or the right button for Color B. Flooding starts with the pixel clicked on and continues until other colors are encountered.
Color Eraser - Used to erase a specific color, replacing it with another color. Select an eraser size by pressing and holding the Color Eraser tool button to access different sizes. Use the left mouse button to replace Color A with Color B or the right button to replace Color B with Color A.
Rectangle/Ellipse - Used to draw rectangles and ellipses. Press and hold the tool button to access drawing options. Choose an outline, filled, or solid shape. Outline shapes are drawn in Color A using the left mouse button or Color B using the right. Filled shapes are drawn in Color A and filled with Color B using the left mouse button and reversed when using the right. Solid shapes are drawn in Color A with the left mouse button and Color B with the right. Press and hold SHIFT after pressing the mouse button to draw perfect squares or circles.
Text - Used to draw text. An Add Text input window is used to enter the text and select the font face, size and style. Text is drawn in Color A. The background of the text area is filled with Color B depending on the current setting for Color B in Selection .


Edges Anti-Alias

Anti-Alias - used to smooth the jagged edges of straight lines and curves by applying varying intensities of color to pixels inside and outside the paint operation. Precision drawing tools (line, rectangle, ellipse and text) are anti-aliased to meet the exact paint operation. Other tools, such as the pencil and the flood tool, attempt to smooth any edges that are detected across the completed paint operation.

Note

  • Anti-Aliasing cannot be performed on edges that border on transparent or inverse inks. Windows does not allow graduations of transparency or inverse.


Effect Paint Modifiers

The modifiers on the Effect tab require unlimted access to colors and therefore are only available when editing a True Color image.

Dodge - Used to lighten the colors in an image. The Per cent factor is used to increase the individual red, green and blue components of pixels. Black pixels have RGB components equal to zero and therefore cannot be lightened using the Dodge effect.

Burn - Used to darken colors in an image. The Per cent factor is used to decrease the individual red, green and blue components of pixels.

Gradient - Used to paint an area that gradually changes from one color to another. Click here for more information on gradients.

Note

  • Dodge or burn cannot be performed on pixels painted with transparent or inverse inks. Windows does not allow graduations of transparency or inverse.


Evaluation

Program Help

The best source of information about what Microangelo can do for you. Includes step-by-step procedures for all program features.

Order Now

Visit our secure online shopping area where you can license Microangelo and immediately download your licensed software.

Order by Fax or by Mail

Open the order form for Microangelo. Fill it out on your computer or print it on your printer. Includes complete information on licensing and ordering.

Microangelo Product Page

Stop by the home page for Microangelo products to learn about more icon utility software, current versions, and free extras (including more hi-color icons to customize your computer!).

Contact Impact Software

Where to contact us by e-mail, fax, phone or visit us on the web.


Eyedropper

The Eyedropper is used to pick up colors from the Palette window or directly from the editing area. Press the left mouse button to load Color A or the right button to load Color B when the Eyedropper cursor is displayed.

To use the Eyedropper tool inside the editing area:

  • Click on the Eyedropper tool button. The Eyedropper will return to the previous tool after a color is selected.

-or-

  • Press SHIFT while the cursor is over the edit area. The Eyedropper will return to the previous tool when SHIFT is released.

Related Topics

  • Color A and B usage

  • Color Locator


Gradient Paint Modifiers

The modifiers on the Effect tab require unlimted access to colors and therefore are only available when editing a True Color image.

Gradient Anchor Points - anchor points are used to define how a gradient is created. Anchor points can be turned on or off. Anchor points that are turned on can be set to either color A or B. Hold down the SHIFT key and click a button to toggle the anchor point on or off. Click a button that's "on" to toggle between color A and color B.

Gradient (area) - maps the gradient anchor points to the leftmost, topmost, rightmost and bottommost pixels in the current paint operation. The gradient colors are dynamically adjusted during the paint operation for most drawing tools.

Gradient (image) - maps the gradient anchor points over the entire image. The color that any pixel is painted will be relative to the full graphic.

Note

  • A gradient cannot be painted with transparent or inverse inks. Windows does not allow graduations of transparency or inverse.


How Windows chooses an image format

Windows and its applications display different size icons under a variety of conditions. When multiple images are present in an icon or cursor, the following selection rules are applied:

  1. The image closest to the desired size is chosen.

  2. If two or more images of that size are present, the one that matches the current icon color depth is selected.

  3. If none match the color depth exactly, Windows chooses the image with the greatest color depth without exceeding the system icon color depth.

  4. If all the size-matched images exceed the icon color depth, the one with the lowest color depth is chosen.

  5. Windows treats all images of 256 or more colors as equal. For example, it is useless to have a 32x32 256-color image and a 32x32 True Color image in the same resource-Windows will simply choose the first one it encounters.

  6. When the video display mode is set to 256 colors, Windows will prefer a 16-color icon to a 256-color icon, and will display all icons using the system default palette.


Icon Library Definition

Librarian Icon Files

Icon libraries contain only icons and have a file extension of ICL. Librarian allows all types of changes to these files.


Icon sizes and where they are used

Windows platforms use four different sizes of icons, as follows:

Size | Values
Shell Large | User selected. Standard sizes are 32x32 and 48x48.
Shell Small | Size is 16x16 pixels as defined by Windows and cannot be changed.
System Large | Size is defined by the video driver, usually 32x32.
System Small | Size is derived from the size of window captions. The caption size can be adjusted from the Appearance tab in the Display Properties dialog.

Windows displays these sizes in different areas:

Size | Used In
Shell Large | On the Desktop, and in Large Icon views of Explorer and open folders.
Shell Small | On the Start menu, and in Small Icon, List and Details views of Explorer and open folders.
System Large | <ALT><TAB> dialog (also known as "Cool Switch").
System Small | Title bar (caption) of application windows.

Related Topics

  • How Windows chooses an image format

  • Recommended image formats


Launch a Microangelo component

  1. Click Start.

  2. Point to Programs.

  3. Point to Microangelo.

  4. Click the Microangelo component you want to launch.


Libraries and Application files

Icon Libraries

Icon Libraries are constructed very similar to program files. The only difference is that they contain only icons and nothing more. Icon Libraries usually have a file extension of ICL. Librarian allows all types of changes to these files.

Program Files

These files have the file extensions EXE, DLL, CPL, OCX, and SCR. They contain icons as well as program code and other resources used by the application. Librarian will allow these files to be viewed and allow icons inside of them to be edited. It will not allow icons to be added or deleted.


Mirror tools (flip image)

Two mirror image tool buttons appear at the top right of the editing area. These buttons are used to flip the entire image or a selected area off the image.

The mirror image buttons will operate on the entire image by default. To flip an area inside of the image, use the Selection Frame to select the area before performing using the mirror tools.

Related Topics

  • Nudge tools (shift image)

  • Rotate tool


Nudge tools (shift image)

Four nudge tool buttons appear at the top right of the editing area. These buttons are used to shift the entire image or a selected area off the image one pixel at a time. The area exposed by the shift is filled with Color B.

The nudge buttons will operate on the entire image by default. To nudge an area inside of the image, use the Selection Frame to select the area before performing the nudge.

Related Topics

  • Mirror tools (flip image)

  • Rotate tool


Open Bitmap as Image

Bitmaps can be imported directly into an image. They are opened in actual size or will be reduced if they cannot fit into the current image. The contents of the image will replace the current image.

To open a bitmap into an image:

  1. Select Open Bitmap as Image from the Edit menu.

  2. Use the Open Bitmap File dialog to choose the bitmap to open and select OK.

Note

  • The bitmap image is opened in actual size, if possible, or it will be scaled to fit within the current image. If the color depth of the bitmap is greater than that of the image being edited, it will be translated as best as possible to use the colors in the current palette.


Palette window

The Palette window contains inkwells filled with different colors of ink.

To select colored, transparent, or inverse inks:

  • Select the colors used for Color A or Color B by clicking the left or right mouse button over the inkwell containing the desired color.

  • Select transparent ink by clicking over the inkwell with a blue computer screen.

  • Select inverse ink by clicking over the inkwell with a pink computer screen.

The Palette window operates slightly different depending on the color depth of the image being edited, as described below.

16 Colors

The Windows standard color palette is used for 16-color images. The colors cannot be changed.

256 Colors

The Palette window includes inkwells for all colors when editing 256-color images. The palette is initialized with the color palette of the image being edited. When a new image 256-color image is created, the palette is initialized with 256 colors from the default palette file (except when the Begin New Image Using Current Image option has been selected).

The colors in the inkwells can be edited by double clicking with the left or right mouse button over the inkwell containing the color to change. If pixels in the current image contain the color being edited, they will also change to the new color. If this will occur, you will be notified before the Edit Color dialog is displayed.

New colors can be mixed in the Color Blend area.

Note

  • Colors must be dragged into the 256 inkwells above before they can be used.

True Color

The Palette window is initialized with 256 colors from the default palette file.

The colors in the inkwells can be edited by double clicking with the left or right mouse button over the inkwell containing the color to change.

New colors can be mixed in the Color Blend area. Colors can be used directly from the Color Blend area and can also be dragged into the 256 inkwells.

Related Topics

  • Color palette files

  • Sorting palette window colors


Pixel Paint Modifiers

Used to limit painting operations to even, odd, or every other pixel. The pixel in the upper left corner of the image (0,0) is an odd pixel. All other pixels are calculated odd or even from this origin. The "every other" pixel option paints the pixel directly under than drawing tool and calculates remaining pixels from that origin.

All pixels - Color is applied to all areas a tool operates on.

Every other pixel - Color is applied to every other pixel starting with the pixel that the mouse button was pressed over.

Even pixels - Color is applied to every other pixel based on row and column.

Odd pixels - Color is applied to every other pixel based on row and column.


Recommended image formats

Icon and cursor authors should consider the hardware and software configurations of their target audience. If your audience is not limited to specific hardware and software configurations, you should include multiple image formats. Doing so will guarantee that the images appear as you intended. Microsoft recommends the following image formats be included in each icon:

  • 16 x 16 - 16 colors

  • 32 x 32 - 16 colors

  • 48 x 48 - 256 colors

We recommend including a 32x32, 256-color image as well.

Related Topics

  • How Windows chooses an image format

  • Color depth compatibility issues


Rotate tool

This button is used to rotate the entire image or a selected area off the image 90, 180, or 270 degrees to the left or right. The area exposed by the rotation is filled with Color B.

The rotate button will operate on the entire image by default. To rotate an area inside of the image, use the Selection Frame to select the area before performing the rotation.

Related Topics

  • Mirror tools (flip image)

  • Nudge tools (shift image)


Screen capture

Studio includes a screen capture feature to acquire graphic images directly from the display. The information is transferred directly to the Windows clipboard. From there it can be pasted into Studio, or any other graphics application that can paste pixel images from the clipboard.

To capture from the screen

  1. Click on the Screen Capture tool button. The Screen Capture dialog appears.

  2. Select one of the three standard capture sizes, or select Drag Custom Area.

  3. Select OK. Studio will minimize its window and go into capture mode.

  4. For standard capture sizes, move the square capture rectangle over the desired area and click with the left mouse button. If Drag Custom Area was selected, press the left mouse button down over one corner of the desired area and drag to the opposite corner before releasing the mouse button.


Search a drive or folder

Search drive or folder

The Librarian component in Microangelo can be used to scan files on your computer and open all of the icons that it finds into a new workspace. Librarian can scan one or more folders, or an entire disk drive.

To scan drives or folders for icons

  1. Launch Microangleo Librarian.

  2. Select Search Files from Librarian’s File menu. Use the Search Drive or Folder dialog to navigate to the disk drive or folder that you would like to scan.

  3. Use the Files of type control to select which files should be scanned. Select Icon Files to scan for icons in all file types.

  4. Check the Include Subfolders checkbox if you would like to scan files in folders underneath the location selected in Step 2.

  5. Click on Search.

Related Topics

  • Search multiple drives or folders

  • Add icons to libraries

  • Remove icons from libraries

  • Remove image formats from libraries


Search multiple drives or folders

Microangelo Explorer works together with Librarian to easily scan and open all icons on disk drives and in folders. Simply drag and drop the drives or folders from Explorer’s viewing window into Librarian to initiate the scanning process.

  1. Launch Microangelo Explorer.

  2. Click the Librarian toolbar button in Explorer to launch Librarian.

  3. If necessary, position the Explorer and Librarian windows to allow the drag and drop.

  4. Select one or more drives or folders in Explorer’s viewing windows, then drag and drop them into Librarian’s window.

Tip

  • Use the right mouse button to drag and drop to allow the choice of beginning a new workspace in Librarian or adding icons to the current workspace.

Related Topics

  • Browse for icons and cursors with Explorer

  • Search a drive or folder with Librarian


Selecting Icons

  • Left click on any icon.

  • “Lasso” one or more icons by depressing the left button down outside of an icon and then dragging to select a rectangular area within the workspace.

  • Hold down the CTRL key while left clicking on an icon to add it or remove it from the current selection.


Selection Frame

The Selection Frame is used in conjunction with several editing operations including clipboard functions and text entry. The contents of an active selection can be dragged with the left mouse button to any location in the image.

Click on the Selection Frame tool button to access it directly. Press the left mouse button down over any pixel to define the first corner of a selection. Drag the cursor to the opposite corner and release the mouse button. The rectangular selection is now available for use with clipboard functions or can be moved to another area of the image.

Related Topics

  • Color B in Selection


Sorting palette window colors

The color selections in the Palette window can be presented in their actual palette order, or sorted by hue, lightness or saturation.

To change the order that colors are presented

  1. Click the arrow on the top right side of the palette window:

  2. Select Sort.

  3. Select the sort order you prefer.

Related Topics

  • Colors and palettes

  • Palette window


Transparent and Inverse effects

Transparent Ink

When an icon is displayed, pixels in an image filled with transparent ink will display the colors of the pixels underneath. Pixels in inverse ink will appear in different colors than the pixels underneath them. The color displayed is dependent on the color of the pixel underneath. The edit tools can draw and paint with these inks the same as with any normal color.

Transparent ink Select transparent ink by clicking over the inkwell with a blue computer screen in the Palette window.

Inverse ink Select inverse ink by clicking over the inkwell with a pink computer screen.

Inverse Ink

Although this feature is referred to as inverse, the colors that it produces when an icon is displayed over a background are not necessarily opposites by any definition. Windows is dependent on the video mode of the installation when it creates an inverse effect. If the video mode uses a color palette (16 color or 256 color modes), the 'inverse' color that is displayed must exist in the current color palette. In this case Windows chooses the color to display based on the location of the colors in the palette. For example, in 256 color mode the 'inverse' of the color in the first position of the color palette is the color that appears in the last position of the color palette. The inverse of the second color is the color located in the 'last minus one', and so on.


When to use True Color images

Windows icons often include both 16 and 256-color images in multiple sizes. Microangelo introduced support for True Color icons in 1998.

Platform Compatibility

The good news here is that Windows 95, 98 and Windows Me all support True Color images and a True Color system color depth flawlessly. The bad news is that the Windows NT shell has never properly displayed True Color icon images throughout all of its service packs. Although the shell in Windows 2000 appears to display TC icons correctly, a debugging environment shows that the Win2K shell generates heap errors every time it encounters a True Color image in an icon. Microsoft was aware of this months before the release of Win2K, yet the errors persist following the distribution and installation of the first Win2K service pack. For these reasons it is clear that True Color images must be avoided if the target audience may include NT systems.

Authoring Images

We strongly advocate developing your images in True Color even if you do not publish these images in your final icon resources. There are significant reasons for this:

  1. True Color images are not limited to a fixed palette of pre-determined colors. It is extremely difficult to edit images and import image data using a fixed 256-color palette. True Color does not require colors to be defined in a palette before they can be used in an image. It is exceedingly easier to build a color palette to support a finished image than to build an image and define allowable colors at the same time.

  2. Microangelo's image editors provide enhanced drawing features that include the ability to create gradients and anti-alias processing to smooth the appearance of jagged edges. These features are only available when editing a True Color image.

  3. The editors also provide high-quality color reduction algorithms that can create 256-color image formats from your final True Color images. You can easily create 256-color images from your True Color originals.

Windows Image Selection

Windows does not recognize any difference between image formats that have 8-bit color or greater when it chooses an image from an icon resource. For this reason you should not include 256-color images and True Color images of the same size. Windows will always treat these images equally and choose the first hi-color image it finds.